FROM alpine AS mirror

RUN mkdir -p /out/etc/apk && cp -r /etc/apk/* /out/etc/apk/
RUN apk add --no-cache --initdb -p /out \
    busybox \
    mdadm
RUN rm -rf /out/etc/apk /out/lib/apk /out/var/cache

FROM scratch
COPY --from=mirror /out/ /
RUN rm -f /etc/init.d/*
COPY etc/ /etc/
CMD ["/sbin/mdadm", "--monitor", "--scan"]
